Subject: Re: bug#32002: 24.4; Scroll bar start, end not correct

From: Andrew Kurn <[email-masked]>
Date: Sat, 30 Jun 2018 18:30:27 -0700

On Fri 29 Jun 2018 20:24 +0300, Eli Zaretskii wrote:

> [Please keep the bug address on the CC list.]
Sorry.

> 
> > Date: Fri, 29 Jun 2018 09:24:02 -0700
> > From: Andrew Kurn <[email-masked]>
> > 
> > > Is this not so if you count percents in terms of characters (as
> > > opposed to lines)?  Because that's what Emacs does.
> > 
> > Yes, no, it's wrong even by characters.
> > 
> > For instance, when you start up, *scratch* has 3 lines in it;
> > the whole thing is on display.  But the scroll bar only
> > reaches half-way down the window.
> 
> I guess it's GTK-specific, then.  Something related to scaling,
> perhaps?
> 

I'm not sure whether it speaks to the issue, but the same problem
appears when I'm using JWM (Joe's Window Manager) and Arch.

I do notice that when I pull the scroll bar down to the bottom
of the window that all the text disappears off the top.
So it occurs to me that this might be a mis-feature, rather
than an out-and-out bug.

If so, perhaps you can advise me how to turn it off.  Usually
the Emacs community is good enough to provide a way of
disabling such features.

Andrew